.setup: &setup
    image: ubuntu:latest
    variables:
        LANG: "en_US.UTF-8"
        LANGUAGE: "en_US:en"
        LC_ALL: "en_US.UTF-8"
        DEBIAN_FRONTEND: "noninteractive"
    before_script:
        - apt-get update

        - apt-get -y install locales
        - locale-gen "en_US.UTF-8"

        - apt-get -y install python3 python3-cartopy python3-numpy python3-pip ffmpeg
        - pip3 install flake8
        - pip3 install -r requirements.txt

test:
    <<: *setup
    stage: test
    script:
        - flake8 .
        - python3 generate_sonde_images.py -n 6
        - mkdir ffmpeg_input
        - python3 link_images_in_order.py ffmpeg_input out/images/sounding_*.png
        - ffmpeg -i ffmpeg_input/%05d.png -auto-alt-ref 0 -c:v libvpx -b:v 1M out/images/soundings_rh.webm
        - ffmpeg -i ffmpeg_input/%05d.png -vcodec libx264 -crf 25 -pix_fmt yuv420p out/images/soundings_rh.mp4
    artifacts:
      paths:
        - out 

pages:
    <<: *setup
    stage: deploy
    script:
        - python3 generate_sonde_images.py -o public
        - mkdir ffmpeg_input
        - python3 link_images_in_order.py ffmpeg_input public/images/sounding_*.png
        - ffmpeg -i ffmpeg_input/%05d.png -auto-alt-ref 0 -c:v libvpx -b:v 1M public/images/soundings_rh.webm
        - ffmpeg -i ffmpeg_input/%05d.png -vcodec libx264 -crf 25 -pix_fmt yuv420p public/images/soundings_rh.mp4
    artifacts:
      paths:
        - public
    only:
        - master
